summaryrefslogtreecommitdiff
path: root/repo/openrc/hostname.initd
diff options
context:
space:
mode:
Diffstat (limited to 'repo/openrc/hostname.initd')
-rw-r--r--repo/openrc/hostname.initd18
1 files changed, 18 insertions, 0 deletions
diff --git a/repo/openrc/hostname.initd b/repo/openrc/hostname.initd
new file mode 100644
index 0000000..4581595
--- /dev/null
+++ b/repo/openrc/hostname.initd
@@ -0,0 +1,18 @@
+#!/sbin/openrc-run
+
+description="Sets the hostname of the machine."
+
+depend() {
+ keyword -prefix -lxc -docker
+}
+
+start() {
+ if [ -s /etc/hostname ] ; then
+ name=$(cat /etc/hostname)
+ else
+ name="${hostname:-localhost}"
+ fi
+ ebegin "Setting hostname"
+ hostname $name
+ eend $?
+}